package com.link.base.basic.service;

import com.link.base.basic.dao.mybatis.mapper.JobLogMapper;
import com.link.base.basic.model.JobLog;
import com.link.core.basic.query.QueryParams;
import com.link.core.basic.service.BasicServiceException;
import java.util.List;
import javax.annotation.Resource;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Service;

@Service
public class JobLogServiceImpl implements JobLogService {
   @Resource
   private JobLogMapper jobLogMapper;
   private static final Logger logger = LogManager.getLogger(JobLogServiceImpl.class);

   public List<JobLog> queryJobLogListPage(QueryParams qps) throws BasicServiceException {
      List<JobLog> list = null;

      try {
         list = this.jobLogMapper.queryJobLogListPage(qps);
         return list;
      } catch (Exception var4) {
         Exception e = var4;
         logger.error("JobLogServiceImpl捕获异常: ", e);
         throw new BasicServiceException(e.getMessage());
      }
   }
}
